# UrlSecurity

Encrypt browser url.

The new gem 'url_security' makes it easy to encrypt the url in your browser.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'url_security'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install url_security

## Usage

Write the following line in your model.rb file:

	include UrlSecurity
	
Write the following method in same model:

	def to_param
	  encrypt id
	end	

Write the following line in your controller:
	@student = Student.find Student.decrypt(params[:id])

instead of:
	@student = Student.find(params[:id])

## Contributing

1. Fork it ( https://github.com/[my-github-username]/url_security/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
